#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "Font.ch"

// nur fr den Test, spter alles unntige entfernen
#define NUTZEORIGINALLISTBOX .f.


 CLASS myListBox FROM XbpListBox
 EXPORTED:
   VAR    oRahmen
   METHOD init, create, destroy
 ENDCLASS
 *----------------------------------------------------------------------------
 METHOD init(oParent, oOwner, aPos, aSize, aPresParam,lVisible)
    LOCAL aPPRahmen
#if NUTZEORIGINALLISTBOX // Standard ohne Rahmen nutzen !
    SUPER:init(oParent, oOwner, aPos, aSize, aPresParam,lVisible)
#else
    aPPRahmen := NIL
    ::oRahmen   := XbpStatic():new( oParent, oOwner, aPos, aSize, aPPRahmen, lVisible ) // wenn lVisible = .f. dann ist was bei Show ntig
    ::oRahmen:caption      := "Artikel"
    ::oRahmen:clipSiblings := .T.
    ::oRahmen:type         := XBPSTATIC_TYPE_GROUPBOX
    // Vorgabe Listbox verkleinern, warum nicht ;-)
    // ::XbpListbox:init( ::XbpStatic,, { 12, 12 }, { aSize[1] - 24, aSize[2] - 24 }, aPP, lVisible )

    SUPER:init(::oRahmen, , { 12, 12 }, { aSize[1] - 24, aSize[2] - 24 }, aPresParam,lVisible)
#endif
 RETURN self
 *----------------------------------------------------------------------------
 METHOD create(oParent, oOwner, aPos, aSize, aPresParam,lVisible)
#if NUTZEORIGINALLISTBOX // Standard ohne Rahmen nutzen !
#else
    ::oRahmen:create()
#endif
    SUPER:create(oParent, oOwner, aPos, aSize, aPresParam,lVisible)
#if NUTZEORIGINALLISTBOX // Standard ohne Rahmen nutzen !
    ::addItem( "1. Vorgabe von myListBox - original" )
    ::addItem( "2. Vorgabe von myListBox - original" )
    ::addItem( "3. Vorgabe von myListBox - original" )
#else
    ::addItem( "1. Vorgabe von myListBox - mit Rahmen" )
    ::addItem( "2. Vorgabe von myListBox - mit Rahmen" )
    ::addItem( "3. Vorgabe von myListBox - mit Rahmen" )
#endif

 RETURN self
 *----------------------------------------------------------------------------
 METHOD destroy()
    SUPER:destroy()
    ::oRahmen:destroy()
 RETURN self


